package com.jianshui.platform.domain.dto;

import com.jianshui.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;

/**
 * 单据录入统一入参
 */
@ApiModel("单据录入")
public class BillInfoDTO {

    //    1.增值税普通发票
    @ApiModelProperty(value = "购方名称")
    private String buyerName;

    @ApiModelProperty(value = "购方税号")
    private String buyerTaxnum;

    @ApiModelProperty(value = "购方地址")
    private String buyerAddress;

    /** 购方电话 */
    @ApiModelProperty(value = "购方电话")
    private String buyerTelephone;

    @ApiModelProperty(value = "开户行及账号")
    private String buyerBank;

    /** 购方开户行及账户 */
    @ApiModelProperty(value = "购买方开户行及账号")
    private String buyerAccount;

    @ApiModelProperty(value = "购方邮箱")
    private String buyerEmail;

    /** 购方联系电话 */
    @ApiModelProperty(value = "购方联系电话")
    private String buyerPhone;


    //多条start
    //    货物或应税劳务、服务名称
    //    规格型号
    //    单位
    //    数量
    //    单价（含税）
    //    金额（含税）
    //    税率
    //    税额
    //    end

    //    合计金额
    //    合计税额
    //    价税合计（大写）
    //    价税合计（小写）

    //    销售方名称
    //销售方纳税人识别号
    //    销售方地址、电话
    //    销售方开户行及账号

    //    备注
    //    收款人
    //    复核人
    //    开票人


























}
